| Version: 3.2.5

Public Member Functions | List of all members
wxWebViewHandler Class Referenceabstract
Class List by Category » WebView

`#include <wx/webview.h>`

Inheritance diagram for wxWebViewHandler:
[legend]

## Detailed Description

The base class for handling custom schemes in wxWebView, for example to allow virtual file system support.

Since
  2.9.3

  ##

Library: wxWebView
Category: WebView

See also
  wxWebView

## Public Member Functions

| wxWebViewHandler (const wxString &scheme)
| Constructor. More...
virtual wxFSFile * | GetFile (const wxString &uri)=0
virtual wxString | GetName () const
virtual void | SetSecurityURL (const wxString &url)
| Sets a custom security URL. More...
virtual wxString | GetSecurityURL () const

## Constructor & Destructor Documentation

## ◆ wxWebViewHandler()

wxWebViewHandler::wxWebViewHandler | ( | const wxString & | scheme | ) |

Constructor.

Takes the name of the scheme that will be handled by this class for example `file` or `zip`.

## Member Function Documentation

## ◆ GetFile()

virtual wxFSFile* wxWebViewHandler::GetFile | ( | const wxString & | uri | ) |

pure virtual

Returns
  A pointer to the file represented by `uri`.

Implemented in wxWebViewFSHandler, and wxWebViewArchiveHandler.

## ◆ GetName()

virtual wxString wxWebViewHandler::GetName | ( |  | ) | const

virtual

Returns
  The name of the scheme, as passed to the constructor.

## ◆ GetSecurityURL()

virtual wxString wxWebViewHandler::GetSecurityURL | ( |  | ) | const

virtual

Returns
  The custom security URL. Only used by wxWebViewIE.

Since
  3.1.5

## ◆ SetSecurityURL()

virtual void wxWebViewHandler::SetSecurityURL | ( | const wxString & | url | ) |

virtual

Sets a custom security URL.

Only used by wxWebViewIE.

Since
  3.1.5